# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 16d98738e74f189b3a00c23390ab5a9a22b056a1
    parent e23acb9188b7bc7a7cfc418ac45671003abcc341
    Author: Paride Legovini <pl@ninthfloor.org>
    Date:   Thu, 10 Jan 2019 13:36:09 +0100

    Let the user specify CPPFLAGS

    This complements the work done in d4928ed, allowing the user to specify
    the preprocessor flags with the CPPFLAGS environment variable. This is
    useful for example to specify preprocessor macros with -D.

    CFLAGS could be used instead, but CPPFLAGS is more correct and is expected
    to be honored in some cases. For example, the helper scripts to build
    Debian packages make use of CPPFLAGS, but the variable is currently
    being ignored unless manually appended to CFLAGS.

    Diffstat:
    Mconfig.mk | 4++--

    1 file changed, 2 insertions(+), 2 deletions(-)
    diff --git a/config.mk b/config.mk
    @@ -21,8 +21,8 @@ LIBS = -L$(X11LIB) -lm -lrt -lX11 -lutil -lXft \
            `$(PKG_CONFIG) --libs freetype2`

     # flags
    -CPPFLAGS = -DVERSION=\"$(VERSION)\" -D_XOPEN_SOURCE=600
    -STCFLAGS = $(INCS) $(CPPFLAGS) $(CFLAGS)
    +STCPPFLAGS = -DVERSION=\"$(VERSION)\" -D_XOPEN_SOURCE=600
    +STCFLAGS = $(INCS) $(STCPPFLAGS) $(CPPFLAGS) $(CFLAGS)
     STLDFLAGS = $(LIBS) $(LDFLAGS)

     # OpenBSD: